Set Serveroutput On Size 1000000
Spool ./RA7437.out

Declare
  iLastNumber  Number;
  iCurrentMax  Number;
Begin
  --
  Select Last_Number
    Into iLastNumber
    From DBA_SEQUENCES
   Where Sequence_Name = 'SEQUENCE_EVENT';
  --
  Dbms_Output.Put_Line('Event sequence currently at: '||iLastNumber);
  --
  Select Max(Idx_Ind)
    Into iCurrentMax
    From ( Select Idx_Ind From EVENT_TYPE
             Union All
           Select Idx_Ind From EVENT_DESC
             Union All
           Select Idx_Ind From EVENT_ATTR_DESC );
  --
  Dbms_Output.Put_Line('Current max in event tables: '||iCurrentMax);
  --
  If iLastNumber < 100000000 Or
     iLastNumber < iCurrentMax Then
    Dbms_Output.Put_Line('Sequence to be adjusted');
    If iCurrentMax < 100000000 Then
      iLastNumber := Sequence_Event_Begin(100000000);
    Else
      iLastNumber := Sequence_Event_Begin(iCurrentMax + 1000);
    End If;
    Dbms_Output.Put_Line('Event sequence now at: '||iLastNumber);
  Else
    Dbms_Output.Put_Line('Sequence already adjusted');
  End If;
  --
End;
/

Exit;

